<section class="home">
  <div class="home__division">
    <div class="text">
      <h3>Welcome</h3>
      <h2>
        Fill the form to
      <br />
        validate your number
      </h2>
    </div>
    <div class="form__division">
      <div *ngIf="countriesInfo.length > 0 as infos; else loader" class="infos">
        <form class="example-form" [formGroup]="phoneNumberForm" (ngSubmit)="validateNumber()" >
          <mat-form-field appearance="fill" class="country-field">
            <mat-label>Country Code</mat-label>
              <mat-select  *ngIf="countriesInfo.length > 0 as infos; else loader" formControlName="countryNumber">
                <mat-select-trigger class="select-trigger" *ngIf="getSelectedCountryNumber() as countryNumber">
                  <img  class="flag" src={{countryNumber.flag}}>
                  <span>(+{{countryNumber.callingCodes[0]}})</span>
                </mat-select-trigger>
                <mat-option class="flag-option" *ngFor="let countryNumber of countriesInfo" [value]="countryNumber">
                  <img class="flag" src={{countryNumber.flag}}>
                  <span>{{countryNumber.name}} (+{{countryNumber.callingCodes[0]}})</span>
                </mat-option>
              </mat-select>
              <mat-error *ngIf="hasError('countryNumber', 'required')">Country code is required</mat-error>
          </mat-form-field>
          <mat-form-field class="number-field" appearance="fill">
            <mat-label>Telephone</mat-label>
            <input required matInput name="phoneNumber" formControlName="phoneNumber" type="tel" placeholder="Ex.5555551234" class="number-input" >
            <mat-error *ngIf="hasError('phoneNumber', 'required')">Phone number is required.</mat-error>
            <mat-error *ngIf="hasError('phoneNumber', 'range')">Must have between 4 and 12 numbers.</mat-error>
            <mat-error *ngIf="hasError('phoneNumber', 'pattern')">Provide just numbers.</mat-error>
          </mat-form-field>
          <button mat-raised-button color="primary" class="button" type="submit" [disabled]="phoneNumberForm.invalid">
            Validate
            <mat-icon>keyboard_arrow_right</mat-icon>
          </button>
        </form>
      </div>
      <app-user-table [userData]="userData" (clear)="clearTable()"></app-user-table>
      <ng-template #loader>
        <div class="loader">
          <mat-spinner></mat-spinner>
        </div>
      </ng-template>
    </div>
  </div>
  <p>This page was developed by Thainá Weingartner Chagas  ©2021</p>
</section>


